<?php

namespace App\Models\Tms;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class RimStock extends Model
{
    use HasFactory;
    protected $guarded = [];

    public function rim_details(){
        return $this->belongsTo('App\Models\Tms\RimDetail','rim_detail_id');
    }

    public function vehicle()
    {
        return $this->belongsTo('App\Models\Tms\Vehicle','vehicle_id');
    }

    public function trailer()
    {
        return $this->belongsTo('App\Models\Tms\Trailer','trailer_id');
    }
}
